V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
推荐学习书目
Learn Python the Hard Way
Python Sites
PyPI - Python Package Index
http://diveintopython.org/toc/index.html
Pocoo
值得关注的项目
PyPy
Celery
Jinja2
Read the Docs
gevent
pyenv
virtualenv
Stackless Python
Beautiful Soup
结巴中文分词
Green Unicorn
Sentry
Shovel
Pyflakes
pytest
Python 编程
pep8 Checker
Styles
PEP 8
Google Python Style Guide
Code Style from The Hitchhiker's Guide
iTvX
V2EX  ›  Python

brew 的 Python 都不是最新版本的吗?

  •  
  •   iTvX · 2020-02-01 03:09:52 +08:00 · 5184 次点击
    这是一个创建于 930 天前的主题,其中的信息可能已经有所发展或是发生改变。
    我看了下,brew 的版本 Python 是 3.7.6.1,可是官网都是 3.8.1 了

    那是不是说,下载 Python 这种,还是官网下载比较好呢?
    第 1 条附言  ·  2020-02-01 09:40:26 +08:00
    @chinvo 请你睁眼看看我问的是什么,再来说话吧。

    我问了“为什么没有吗“?(您 YY 可真厉害)

    我问的是:是不是官网下载比较好,简单翻译一下,是不是官网要比 brew 要好点。我在乎 brew 为什么没有 3.8 吗?我问了吗?这是我的问题吗?
    第 2 条附言  ·  2020-02-01 10:35:23 +08:00
    我和 3 楼道个歉,我没看清他的回答,因为问题已经解决了,我就随便看了一眼。我看文字比较弱,速度不行,经常误解别人说的。我重点就看到他最后一句话,当时就怒了,我想我提个问题,还碍着你了不成?

    感谢 @ncepuzs 老哥指出,也感谢 @ElderBlood 兄弟的理解。

    另外,@msg7086 像你这种见风使舵的人可真厉害,你自己瞅瞅你回答了什么?如果你第二个回答是你的第一个回答,我会说你看不懂英文吗?

    @xgfan 这位兄弟,你说我把 mac 当爹供着,那我这么和你说吧,入职三年,靠自己月薪 5.6k 刀,在 DC 特区大使馆附近有一套自己房子,让您失望了。
    第 3 条附言  ·  2020-02-01 12:31:38 +08:00
    @jakezh 我没读过大学,5.6k 刀一个月不是很正常吗?你有什么骄傲的?请问你们这些所谓留学生,真的过的舒坦吗?别逗了,看不起别人的时候,也掂量掂量自己!
    第 4 条附言  ·  2020-02-01 12:37:46 +08:00
    @jakezh 我是没度过大学,难道就是你看不起我的理由?你一上来就看不起我,说我一个月赚的少,还说我住的是凶宅,请问我哪里得罪你了吗?

    我凭借自己兴趣,想学习编程偶尔玩玩,不行?

    你要是看不起我,那你自己说说你一个月多少吧,我承认我赚的不多,但是我没有依靠我的家族。我现在工作就是闲得慌,所以才自己想学编程,有问题吗?
    51 条回复    2020-02-02 00:31:56 +08:00
    ligyxy
        1
    ligyxy  
       2020-02-01 03:11:44 +08:00   ❤️ 2
    pyenv
    iTvX
        2
    iTvX  
    OP
       2020-02-01 03:51:25 +08:00
    @ligyxy 嗯嗯 解决了
    ynyounuo
        3
    ynyounuo  
       2020-02-01 03:51:29 +08:00 via iPhone   ❤️ 8
    Python 大版本升级对个人可能容易,但是对于一个用户群巨大的安装包管理系统的群体来说就要解决各种 dependencies 的不适问题后再作为 main stable formula 推出。

    所以现在 Python 3.8 以 [email protected] 这个 formula 存在。有数不清的 PR 和 issue 在辅助 Python main formula 到 3.8 版本的融合。

    感觉诸如此类的问题你简单进行 Google 搜索就可以找到答案,连发一大堆主题并没有什么必要,
    msg7086
        4
    msg7086  
       2020-02-01 08:26:16 +08:00   ❤️ 3
    3.8.1 是 12 月 18 日发布的。
    3.7.6 是 12 月 18 日发布的。
    我寻思着同一天发布的还有新旧之分嘛。
    bestkayle
        5
    bestkayle  
       2020-02-01 08:45:16 +08:00 via iPhone
    @msg7086 哈哈
    silkriver
        6
    silkriver  
       2020-02-01 09:02:30 +08:00
    可以装 miniconda 应该有 3.8 的
    iTvX
        7
    iTvX  
    OP
       2020-02-01 09:05:18 +08:00
    @ynyounuo 请问这种问题要怎么 google ?下次也不麻烦你了
    iTvX
        8
    iTvX  
    OP
       2020-02-01 09:08:35 +08:00   ❤️ 1
    @msg7086 你是看不懂英文还是怎么的,这不写的很清楚吗

    “Python 3.8 is now the latest feature release of Python 3.. Get the latest release of 3.8.x here. We plan to continue to provide bugfix releases for 3.7.x until mid 2020 and security fixes until mid 2023.”
    ynyounuo
        9
    ynyounuo  
       2020-02-01 09:08:41 +08:00   ❤️ 1
    @iTvX

    难吗?
    iTvX
        10
    iTvX  
    OP
       2020-02-01 09:11:28 +08:00   ❤️ 1
    @ynyounuo 我寻思你说了一大堆,还是没解决问题啊。你直接说,我问的 brew 上为什么没 3.8.1,我不知道你为什么扯这么一大堆???

    我作为用户,想下个最新版,享受 new feature,有问题吗?如果你知道怎么解决,你就说从 pyenv 下载不就好了吗?

    另外,我想知道我为什么 brew 没有收集 3.8.1,跟你说的这些有什么关系吗?
    iTvX
        11
    iTvX  
    OP
       2020-02-01 09:20:45 +08:00
    @ynyounuo



    跟你说的有关系吗?

    另外,中文社区有讨论过吗?我问问怎么了?贡献中文讨论,碍着您了?
    iTvX
        12
    iTvX  
    OP
       2020-02-01 09:23:17 +08:00   ❤️ 1
    @ynyounuo 作为社区论坛,最烦你这种上来说一大堆没用的,然后装作一副高高在上的样子。

    论坛不就是用来讨论的吗?中文论坛有关于 brew 没有 3.8 版本的讨论吗?你自己又回答对了吗?回答了一堆无济于事的东西,还觉得自己很牛逼?
    chinvo
        13
    chinvo  
       2020-02-01 09:34:39 +08:00 via iPhone   ❤️ 8
    @iTvX #12 人已经很完整的回答你的所有问题了,结果你认为无用?

    你问为什么没有

    他指出有 3.8,然后解释了为什么 main stable 为什么是 3.7

    你不是来讨论的,你是来找茬的,b 了
    superrichman
        14
    superrichman  
       2020-02-01 09:35:29 +08:00 via iPhone   ❤️ 1
    python3.8 的模块兼容性有一堆问题,而且很可能网上没有解决办法,这些模块作者可能也没有时间去更新。如果你没有自己解决这些问题的自信,建议还是使用 python3.6 或者 3.7。

    我自己就被 3.8 坑了,花了些时间改部分模块代码才让原来的程序跑起来。brew 之所以没有升级 3.8 其实也是类似的考虑,因为要检查很多 formula 的兼容问题,没有那么快就升上去。
    msg7086
        15
    msg7086  
       2020-02-01 09:41:28 +08:00
    brew 这些大规模使用的环境难道不应该用更稳定的旧分支吗? 3.8 随随便便就升上去然后把你的环境搞炸了到时候你又要开帖子发牢骚了。喜欢吃螃蟹可以勇敢地上官版或者 pyenv。

    另外 3 楼已经很完整地给出了解决方案了。不想听别人的回答可以不要发帖,让人家的精力用在解决更有用的问题上。不知道你哪来的优越感,整的回答问题的人想要求你问他一样。你咋不上天呢。
    soraping
        16
    soraping  
       2020-02-01 09:49:57 +08:00
    miniconda 特别香
    ElderBlood
        17
    ElderBlood  
       2020-02-01 09:54:03 +08:00
    @msg7086 我寻思楼主说你说的又没错,你第一次回答说的是什么?这样见风使舵不太好吧?
    ElderBlood
        18
    ElderBlood  
       2020-02-01 09:55:27 +08:00
    楼上一群人真的看了楼主问的是什么吗。。。

    人家就是想问怎么装 3.8 而已,你们有必要说一大堆不相关还显得自己高人一等吗?
    anjianshi
        19
    anjianshi  
       2020-02-01 09:56:39 +08:00
    都散了吧,楼主戾气太重
    anjianshi
        20
    anjianshi  
       2020-02-01 09:57:19 +08:00   ❤️ 1
    @ElderBlood 一楼已经给了解决方案,二楼楼主自己说解决了。那后面回复的人你说回啥?
    xgfan
        21
    xgfan  
       2020-02-01 09:57:56 +08:00
    看了下历史发帖,真·买个爹·回来供着。
    一个 mac/mac os 能来来回回水十个帖子。
    anjianshi
        22
    anjianshi  
       2020-02-01 09:58:14 +08:00
    人家说点自己的想法,给愿意了解相关知识的人一些信息。给社区做贡献怎么了
    ElderBlood
        23
    ElderBlood  
       2020-02-01 10:03:19 +08:00
    @anjianshi 你说的好像跟楼主 12 楼说的一样...我寻思楼主就是火气大了点,一群人见风使舵,v2ex 真是厉害了
    lscho
        24
    lscho  
       2020-02-01 10:16:13 +08:00 via iPhone
    @ElderBlood 你真看明白人家问的是啥了吗?楼主问的是为啥不是最新版,而不是怎么装 3.8。。。
    ElderBlood
        25
    ElderBlood  
       2020-02-01 10:17:46 +08:00
    @lscho 你去看他的附言,他不就是这个意思吗
    ncepuzs
        26
    ncepuzs  
       2020-02-01 10:21:58 +08:00   ❤️ 3
    楼主啊,俺有几个比较困惑的地方:

    1. 您在 #10 的回复
    -------------------------------------------------------------------------------------------------------------------------------------------------
    @ynyounuo 我寻思你说了一大堆,还是没解决问题啊。你直接说,我问的 brew 上为什么没 3.8.1,我不知道你为什么扯这么一大堆???

    我作为用户,想下个最新版,享受 new feature,有问题吗?如果你知道怎么解决,你就说从 pyenv 下载不就好了吗?

    另外,我想知道我为什么 brew 没有收集 3.8.1,跟你说的这些有什么关系吗?
    -------------------------------------------------------------------------------------------------------------------------------------------------
    您到底问没问以及在不在乎为什么 brew 上没有 3.8.1 ?与附言 1 冲突吗?当然,你最先确实只问了哪个好。

    2. 我觉得 #3 确实回答了你在 #10 提出的问题啊

    首先,你想安装 3.8.1,他在第二段不是说了可以通过 [email protected] 这种 formula 形式来指定最新版本吗?那么安装无非就是 `brew install [email protected]` 然后添加 path 即可。这个在你 #11 截图那个网页( https://discourse.brew.sh/t/why-python-3-8-has-not-been-updated-yet/6057/15 )往下拉也可以找到啊。

    其次,你问为什么 brew 没有收集 3.8.1,他的第一段说了 brew 从安装包管理器系统对用户群的影响以及 Python 稳定性和兼容性考虑(我之前在 Windows 通过 Scoop 安装 3.8.1 后发现与 Jupyter 不兼容,后通过类似 formula 形式退回 3.7.6 ),目前没有将 3.8.1 作为 main stable formula 推出。但你仍然可以通过 brew 安装,如上。

    虽然他第三段的语气确实……

    3. 官网安装与通过 brew 安装哪个好?我感觉没区别吧。

    -------------------------------------------------------------------------------------------------------------------------------------------------

    在家都要闲得发霉了……
    msg7086
        27
    msg7086  
       2020-02-01 10:40:29 +08:00   ❤️ 1
    @ElderBlood 我说的是 3.7.6 和 3.8.1 是同一天发布的,在自己的分支版本里都是最新版。
    这不是在试图回答「 brew 的 Python 都不是最新版本的吗?」这个问题吗?
    两个一样新啊。3.8.1 是高版本里的最新版,3.7.6 是低版本里的最新版,要是说错了请你纠正我。

    一般人问问题,回答有两个部分,一个是结论,一个是依据。当然我没说结论只说了依据,但是我觉得楼主应该……能推倒出结论吧。那楼主显然不想听我回答他的问题,所以我说不想听回答那可以不发帖啊。问题么要发的,答了么又要无路赛无路赛。所以我也不多想了,打开信息页点了 Block 了事,保证以后他发的问题我决不多嘴回答。

    其实吧,你说他如果想问怎么装 3.8,那直接问怎么装 3.8 不就得了嘛。你看他两个问题哪个是问怎么装 3.8 的……

    还见风使舵,兄弟,不要乱用成语好吧。我出个头,鸟都被枪打爆了,还见啥风呀。
    ElderBlood
        28
    ElderBlood  
       2020-02-01 10:49:55 +08:00   ❤️ 1
    @msg7086 你要吵跟楼主吵去,你别回复我,脏了我的眼睛。

    你自己讨个机灵,你的回答对人家有用吗?然后看见别人喷,你也赶紧来一贴,不是见风使舵?

    我新注册的 V2EX 号,平常都不回复,今天看了你的回复实在忍不住了。我说的不好听一点,你这种人就是“小人”懂吗?我不说你说的对不对,要是楼主没跟别人吵,你会发第二个回复踩上一脚吗?你要是不懂就算了,你自己明明知道答案,却不在第一个回复里面说,偏要等别人不行了再踩上一脚。

    本来以为 V2EX 是以技术为主的论坛,看样子小人哪儿都有。

    综上,你这人就是一个见风使舵的小人,别回复我了,脏了我的眼睛。
    msg7086
        29
    msg7086  
       2020-02-01 10:50:40 +08:00
    @ElderBlood 谢谢你的意见。
    msg7086
        30
    msg7086  
       2020-02-01 10:53:39 +08:00
    @ElderBlood 另外提醒一句,v2ex 论坛可以屏蔽你讨厌的人。
    你可以点开我的信息页,点一下屏蔽,即可保证我的回答不会脏到你的眼睛。
    ynyounuo
        31
    ynyounuo  
       2020-02-01 11:44:21 +08:00
    @iTvX
    抱歉,我只是觉得您最近发的几个主题都有 Google 随手可得的答案所以有些情绪。
    iTvX
        32
    iTvX  
    OP
       2020-02-01 11:56:13 +08:00
    @ynyounuo 不好意思,我没看清你的回答。我就扫了一眼,看到最后一句就怒了。抱歉
    Tink
        33
    Tink  
       2020-02-01 11:59:50 +08:00 via iPhone
    3 楼不是说的很清楚吗?有什么可喷的?
    Tink
        34
    Tink  
       2020-02-01 12:00:30 +08:00 via iPhone
    建议回帖前看看楼主发帖记录
    iTvX
        35
    iTvX  
    OP
       2020-02-01 12:00:59 +08:00
    @Tink 我不是说了原因了吗?还要喷我?
    iTvX
        36
    iTvX  
    OP
       2020-02-01 12:02:53 +08:00
    @Tink 我的发帖记录怎么了,来,你说说看
    jakezh
        37
    jakezh  
       2020-02-01 12:04:27 +08:00
    ???????
    DC 还有年薪不到 80k 的程序员职位
    ???????
    是月薪 5.6k 还是 56k 啊?
    iTvX
        38
    iTvX  
    OP
       2020-02-01 12:09:58 +08:00
    @jakezh

    第一,我多少钱干你屁事?

    第二,我说了我是程序员?程序员会来问这种问题?我全是兴趣爱好学习编程,不行?

    第三,月薪 5.6k 程序员多了去了,来 DC 要不要我带你看看?
    iTvX
        39
    iTvX  
    OP
       2020-02-01 12:13:37 +08:00
    @jakezh 另外,你 TM 多少钱这么大口气?看不起我们?我 5600 一个月,在 DC 随便吃随便喝随便玩,你呢?先看看使馆区的房价再来喷吧,别秀逗我。
    jakezh
        40
    jakezh  
       2020-02-01 12:13:54 +08:00
    @iTvX #38
    我没问啊 是你自己在 append 里写的
    不太想去啊 开车过去 4 个小时有点浪费油 我去公司旁边的疯人院参观一下就行了
    iTvX
        41
    iTvX  
    OP
       2020-02-01 12:16:01 +08:00
    @jakezh 我在附言里写的是跟你说了?来,跟我说说你 TM 多少钱这么嚣张?另外,我再次建议你考察一下使馆区的房价再来放屁
    manami
        42
    manami  
       2020-02-01 12:18:31 +08:00 via Android
    其他不说,楼主这说话水平惹人厌……
    charlie21
        43
    charlie21  
       2020-02-01 12:20:50 +08:00 via Android
    这取决于你对这个问题的理解
    iTvX
        44
    iTvX  
    OP
       2020-02-01 12:27:02 +08:00
    @jakezh 不说话了?你难道不是眼里只有钱吗?怎么不说说你多少一个月?来让我吓一跳,赶紧的!
    jakezh
        45
    jakezh  
       2020-02-01 12:27:52 +08:00
    @iTvX #41
    兄弟你这入职三年连 new grad 的一半收入都不到
    没空去查使馆区的房价,因为使馆区也有凶宅
    monospace
        46
    monospace  
       2020-02-01 12:30:15 +08:00
    @manami 他自己在 append 里面说「看文字比较弱,速度不行,经常误解别人说的」,这就不难理解了。
    jakezh
        47
    jakezh  
       2020-02-01 12:35:14 +08:00
    @iTvX #44
    我点进这个帖子来是想告诉你 brew 怎么 install python3.8 的
    但是看到你在 append 里面拿自己收入来喷 @xgfan 以为你多打了一个点
    别扯上留学生,没读过大学不值得骄傲
    btw 已 B
    lscho
        48
    lscho  
       2020-02-01 12:51:30 +08:00 via iPhone
    @ElderBlood 你不看附言时间和回复时间?
    crella
        49
    crella  
       2020-02-01 12:55:35 +08:00 via Android
    隔壁 ruby2.7 也是很多不兼容,rubyinstaller 都推荐用 2.6 版本的了。python3.7 没什么问题的吧,有什么东西一定要用到最新 feature ?
    kojirou
        50
    kojirou  
       2020-02-01 13:46:21 +08:00
    楼主发帖记录真是真实
    qq1009479218
        51
    qq1009479218  
       2020-02-02 00:31:56 +08:00
    好久没见到过这么热闹的帖子了
    关于   ·   帮助文档   ·   API   ·   FAQ   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   1487 人在线   最高记录 5497   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 44ms · UTC 17:59 · PVG 01:59 · LAX 10:59 · JFK 13:59
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.